{
  "name": "@cryptex-labs/nestjs-sdk",
  "version": "1.0.0",
  "description": "NestJS SDK for Cryptex Labs API",
  "main": "index.js",
  "repository": "https://gitlab.com/cryptexlabs/public/library/nestjs-sdk",
  "author": "Cryptex Labs",
  "license": "MIT",
  "private": false,
  "scripts": {
    "build": "rm -rf ./dist/ && tsc"
  },
  "dependencies": {
    "@cryptex-labs/api-proto": "https://gitlab.com/cryptexlabs/public/library/api-proto.git",
    "@cryptex-labs/api-ts": "https://gitlab.com/cryptexlabs/public/library/api-ts.git",
    "@cryptex-labs/common": "https://gitlab.com/cryptexlabs/public/library/common.git",
    "@cryptex-labs/common-candle": "https://gitlab.com/cryptexlabs/public/library/common-candle.git",
    "@cryptex-labs/common-trade": "https://gitlab.com/cryptexlabs/public/library/common-trade.git",
    "@nestjs/common": "^5.5.0",
    "@nestjs/core": "^5.5.0",
    "@nestjs/microservices": "^5.5.0",
    "google-auth-library": "^3.0.1",
    "grpc": "^1.18.0",
    "rxjs": "^6.3.3"
  },
  "devDependencies": {
    "@types/node": "^10.12.18",
    "ts-loader": "^4.4.2",
    "ts-node": "^7.0.1",
    "tsconfig-paths": "^3.5.0",
    "tslint": "5.11.0",
    "typescript": "^3.0.1"
  }
}
